#include "vtkReal.h"
#include "vtkMINCReader.h"
#include "vtkMINCIcv.h"
#include "vtkMatrix4x4.h"
#include "vtkTransform.h"

#include "MINCReader.h"


MINCReader * MINCReader::New()
{
    return new MINCReader();
}


MINCReader::MINCReader()
{
    this->Icv = vtkMINCIcv::New();
    this->Icv->SetDataType( VTK_UNSIGNED_SHORT );
    //this->Icv->SetDataType( VTK_UNSIGNED_CHAR );
    this->Icv->SetXDimDir( MI_ICV_POSITIVE );
    this->Icv->SetYDimDir( MI_ICV_POSITIVE );
    this->Icv->SetZDimDir( MI_ICV_POSITIVE );
    
    this->Icv->DoRangeOn();
    this->Icv->DoNormOn();
}


MINCReader::~MINCReader()
{
}

vtkMatrix4x4* MINCReader::GetDirectionalCosines()
{
    return Transform->GetMatrix();
}
