/*=========================================================================

  Program:   Igns global tools
  Module:    $RCSfile: doublewindowfileviewer.h,v $
  Language:  C++
  Date:      $Date: 2009-05-05 18:35:52 $
  Version:   $Revision: 1.6 $

  Copyright (c) 2007-20098 IPL, BIC, MNI, McGill, Anka
  All rights reserved.
  
=========================================================================*/
#ifndef TAG_DOUBLEWINDOWFILEVIEWER_H_
#define TAG_DOUBLEWINDOWFILEVIEWER_H_

#include <qwidget.h>
#include <qstring.h>
#include "doubleviewwindow.h"

class vtkTransform;
class vtkImageData;
class vtkImagePlaneActor;
class vtkMatrix4x4;

class DoubleWindowFileViewer :  public DoubleViewWindow
{
    Q_OBJECT

public:
    DoubleWindowFileViewer( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    virtual ~DoubleWindowFileViewer();
    
    virtual void RestoreViewsButtonClicked();
    virtual void InitializeActors();
    void SetUltrasoundImage(vtkImageData *image);
    void SetLeftDefaultView();
    void SetImageData(vtkImageData *data);
    void SetResliceTransform(vtkTransform *resTransform);
    void SetResliceTransform(vtkMatrix4x4 *dc);
    void SetResliceSpacing(double stepX, double stepY, double step);
    void InitLeftView();
    void SetRightImageWindow(int);
    void SetRightImageLevel(int);
    void SetRightImageColor(vtkLookupTable *lut);
    void SetRightImageTransform(vtkTransform *t);
            
public slots:

    
protected:
    
    vtkImagePlaneActor *m_leftImageActor;
    int m_initLeftViewDone;
    vtkTransform *m_imageTransform;
    vtkTransform *m_inputResliceTransform;
};
    
#endif //TAG_DOUBLEWINDOWFILEVIEWER_H_
