/*=========================================================================

  Program:   Igns global tools
  Module:    $RCSfile: hardwaresettings.h,v $
  Language:  C++
  Date:      $Date: 2009-04-27 14:45:00 $
  Version:   $Revision: 1.7 $

  Copyright (c) 2007-2009 IPL, BIC, MNI, McGill, Anka
  All rights reserved.

=========================================================================*/
#ifndef TAG_HARDWARESETTINGS_H
#define TAG_HARDWARESETTINGS_H

#include "hardwaresettingsbase.h"
#include <qstring.h>

class QCloseEvent;

class HardwareSettings : public HardwareSettingsBase
{
Q_OBJECT

public:

    HardwareSettings( QWidget * parent = 0, const char * name = 0, WFlags f = 0, const char * defaultCfg = 0 );
    virtual ~HardwareSettings();
    
    const char *  GetDefaultHardwareSettingsPath() {return DefaultHardwareSettingsPath;}
    const char *  GetUserHardwareSettingsPath() {return UserHardwareSettingsPath;}   
    const char *  GetSelectedHardwareSettingsPath() {return SelectedHardwareSettingsPath;}   
    bool GetSettingsStatus();
       
public slots:
    virtual void UserSettingsChanged();
    virtual void LoadUserSettings();
    virtual void FindUserSettingsFile();
    virtual void ActivateLoadButton();
    virtual void closeEvent( QCloseEvent* ce );
    virtual void QuitApplication();

protected:
    
    QString DefaultHardwareSettingsPath;
    QString UserHardwareSettingsPath;
    QString SelectedHardwareSettingsPath;
    bool checkOnClose;
    bool settingsOK; 
};


#endif  // TAG_HARDWARESETTINGS_H
