/*=========================================================================

  Program:   Igns global tools
  Module:    $RCSfile: settingsmenufunctions.h,v $
  Language:  C++
  Date:      $Date: 2008-10-02 15:31:47 $
  Version:   $Revision: 1.1 $

  Copyright (c) 2008-2008 IPL, BIC, MNI, McGill, Anka
  All rights reserved.
  
=========================================================================*/
// .NAME SettingsMenuFunctions - all the functions serving the settings menu in MainWindow
// .SECTION Description
// This file is created in order to remove the bulk of the code from MainWindow
// in ibis and MincView
#ifndef TAG_SETTINGSMENUFUNCTIONS_H_
#define TAG_SETTINGSMENUFUNCTIONS_H_

#include <qobject.h>
#include "qtutilities.h"
#include "scenemanager.h"

class SettingsMenuFunctions : public QObject
{

    Q_OBJECT

public:

    SettingsMenuFunctions();
    virtual ~SettingsMenuFunctions();
    
    // Description:
    // Set view windows background color
    virtual void SetBackgroundColor();
    
    // Description:
    // Change view mode
    void SetManager(SceneManager *manager);
    // Description:
    // Set starting data directory
    void SetLastVisitedDirectory(const QString & dir);

protected:

    QString m_lastVisitedDirectory;  
    SceneManager    * m_sceneManager;
};

#endif //TAG_SETTINGSMENUFUNCTIONS_H_
