#ifndef TAG_IMAGE_TRACER_H_
#define TAG_IMAGE_TRACER_H_

#include "vtkObject.h"
#include "vtkReal.h"

class vtkMultiImagePlaneWidget;
class ImageObject;
class SceneManager;

class ImageTracer : public vtkObject
{

public:

    static ImageTracer * New() { return new ImageTracer; }

    ImageTracer();
    virtual ~ImageTracer();

    void DisableImageTracer();
    void SetImageObject(ImageObject *obj);
    void SetTracerPosition( vtkReal *pos);
    
protected:

    ImageObject *imageObj;
    SceneManager *manager;
    vtkMultiImagePlaneWidget *viewPlanes[3];
    vtkReal initialPlanesPosition[3];
};

#endif //TAG_IMAGE_TRACER_H_
